import vdcpy.site as vdc_site


def delete_unittest_sites():
    # Get all unittest sites
    site_list = vdc_site.get_sites(name='unittest_site')
    for site_info in site_list:
        vdc_site.delete_site(site_info['id'])

    site_list = vdc_site.get_sites(name='unittest_site_updated')
    for site_info in site_list:
        vdc_site.delete_site(site_info['id'])


def add_unittest_site():
    site_info = {
        'name': 'unittest_site',
        'description': 'unittest_description',
        'logo': 'unittest_logo',
        'host': 'unittest_host',
        'slots': '5',
        'hub': 'unittest_hub',
        'type': 'unittest_type',
        'GPU': 'true',
        'OSG': 'true',
        'alluxio': 'true'
    }
    result = vdc_site.add_site(site_info)
